<?php
/* Logaholic Web Analytics software             Copyright(c) 2005-2016 Logaholic B.V.
 *                                                               All rights Reserved.
 * This code is subject to the Logaholic license. Unauthorized copying is prohibited.
 * support@logaholic.com                         http://www.logaholic.com/License.txt
*/ 
require_once '../../AccessControl.php';

function ProfileListMenu() {
	global $db, $session, $validUserRequired;

		$where = "";
			if ($validUserRequired && !$session->isAdmin() && !$session->allProfiles ) {
				$validprofiles = array();
				for ($i = count($session->user_profiles)-1; $i >= 0; $i--) {
					$validprofiles[] = $db->Quote($session->user_profiles[$i]);
				}
				if(empty($validprofiles)){
					return array();
				}
				$where = " where profilename in (". implode(",",$validprofiles) .")";
			}
			$limitsql = "";
			if (defined("_LIMIT_PROFILES") != 0 && _LIMIT_PROFILES < 5) {
				$limitsql = "LIMIT "._LIMIT_PROFILES;
			} else {

            }
			
			$q = $db->Execute("SELECT profilename, activated, '', lastused, sessioncounter, stats FROM ". TBL_PROFILES . " $where ORDER BY lastused DESC $limitsql");
            //$q = $db->Execute("SELECT profilename, activated, lastused, sessioncounter FROM ". TBL_PROFILES . " $where ORDER BY lastused DESC $limitsql");
			$p = array();
			while($data = $q->fetchRow()){
                $data[3] = "<span style='display:none;'>{$data[3]}</span>".date("Y/m/d H:i", $data[3]);

                $data[4]= number_format($data[4]);
                
                $stats = json_decode($data[5], true);                
                $data[5] = "<span style='display:none;'>{$stats["max_db_timestamp"]}</span>".date("Y/m/d" , $stats["max_db_timestamp"]);
                
                $p[] = $data;
			}
		return $p;
}

$plist =  ProfileListMenu();

$result = array();
$result["data"] = $plist;
echo json_encode($result);
?>