<?php
/* Logaholic Web Analytics software             Copyright(c) 2005-2016 Logaholic B.V.
 *                                                               All rights Reserved.
 * This code is subject to the Logaholic license. Unauthorized copying is prohibited.
 * support@logaholic.com                         http://www.logaholic.com/License.txt
*/
header('Content-Type: text/event-stream');
header('Cache-Control: no-cache');
$accessControl = array(
    "ProfileRequired" => true,
    "StreamFile" => true
);
include_once '../../AccessControl.php';

if ($validUserRequired && !$session->canUpdateLogs()) {
	//echo $template->NoAccess();
	exit();
}

if(!isset($profile)) {
	$profile = new SiteProfile($conf);
}

$updateProgressLogLoc = $profile->datamanagerDir.$profile->profilename."/{$profile->profilename}_update_progress.lwa.log"; 

if (isset($_REQUEST['startpos'])) {
    $startpos = $_REQUEST['startpos'];
} else {
    $startpos = 0;
}

if ($startpos == 0) {
    sleep(1);
}

clearstatcache();
$currentSize = @filesize($updateProgressLogLoc);

$content = "";
$clear = false;
$finished = false;

if ($startpos > $currentSize) {
    $clear = true;
    $startpos = 0;
}

while ($finished==false) {
    clearstatcache();
    $currentSize = filesize($updateProgressLogLoc);
    
    if ($startpos < $currentSize) {        
        
        $fh = fopen($updateProgressLogLoc, "r");
        fseek($fh, (int)$startpos);

        while ($d = fgets($fh)) {
            //$content.=$d."<br />";
            Stream($d);
            if (strpos($d, "Finished]")!==false) {
                //fclose($fh);
                $finished = true;
                //exit();
            }
        }
        fclose($fh);
        
        //Stream($d);
        $startpos = $currentSize;
        //$res = array("Status" => "Success", "contents" => $content, "startpos" => $currentSize, "finished" => $finished, "clear_screen" => $clear);
        //echo json_encode($res);        
    } else {
        sleep(2);
    }
}

// } else {
//     sleep(5);
//     //echo '{"Status": "Warning", "Message": "'. _NO_NEW_CONTENT_TO_SEND .'", "startpos": '.$startpos.', "finished": false , "clear_screen": "false" }';
//     Stream(_NO_NEW_CONTENT_TO_SEND);
// }
?>